## org.apache.axis.encoding.ser.castor
Class CastorEnumTypeDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              org.apache.axis.encoding.ser.castor.CastorEnumTypeDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class CastorEnumTypeDeserializerFactory
extends BaseDeserializerFactory

A CastorEnumTypeDeserializer Factory

Author:
  Ozzie Gurkan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, log, xmlType`

Constructor Summary
`CastorEnumTypeDeserializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`static DeserializerFactory` `create(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastorEnumTypeDeserializerFactory

    public CastorEnumTypeDeserializerFactory(java.lang.Class javaType,
                                             QName xmlType)

Method Detail

### create

    public static DeserializerFactory create(java.lang.Class javaType,
                                             QName xmlType)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.